### Method

# Camel ServiceAuthType copy

since: 3.24

#### Declaration [src]

    CamelServiceAuthType*
    camel_service_auth_type_copy (
      const CamelServiceAuthType* service_auth_type
    )

#### Description [src]

Copies the `service_auth_type` struct. Does nothing and returns the given object in reality, needed for the introspection.

Available since: 3.24

#### Return value

Type: `CamelServiceAuthType`

The copy of `service_auth_type`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.